Bug 476783 - psychedelic second head (oh man, the colors!)
psychedelic second head (oh man, the colors!)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
card_R300
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 23:13 EST by Roland McGrath
Modified: 2009-12-18 03:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:19:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/gdm/:0.log X server log (89.03 KB, text/plain)
2008-12-16 23:13 EST, Roland McGrath
no flags Details
/etc/X11/xorg.conf (670 bytes, text/plain)
2008-12-16 23:15 EST, Roland McGrath
no flags Details

  None (edit)
Description Roland McGrath 2008-12-16 23:13:40 EST
Created attachment 327203 [details]
/var/log/gdm/:0.log X server log

Description of problem:

On dualhead display, second monitor's display has crazy colors.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-61.fc10.i386
xorg-x11-server-Xorg-1.5.3-6.fc10.i386
kernel-2.6.27.7-134.fc10.i686

How reproducible:
100%

Steps to Reproduce:
1.boot, see the crazy colors
2.log in, see the crazy colors
3.oh man, the colors!
  
Actual results:

The card is a Radeon 9600 ("RV350 AP") with two DVI outputs, each connected to a Dell LCD monitor (one is 19" and one is 17").

Starting from the graphical boot and all the way through to the gdm login screen, the second monitor displays correct pixels in clone mode, but with a wild and crazy colormap.  (I never would have noticed the stars twinkling or the background shading in the graphical boot display if I hadn't seen it with wild green & orange contrast on the second head!)

When I log in, it switches to non-clone mode with the desktop extending onto the second monitor.  It's still got what looks like the right pixels but with crazy colors.

Expected results:

Same colors on both monitors (or at least vaguely close!)

Additional info:

Same behavior without graphical boot.  In fact, with text boot display, the "Fedora" is green instead of blue, and "[OK]" lines are red instead of green.
I guess that might mean it's all the kernel driver's fault.
Comment 1 Roland McGrath 2008-12-16 23:15:11 EST
Created attachment 327204 [details]
/etc/X11/xorg.conf

I think it does the same without this (and the boot behavior certainly does), but it's what I'm using (minimal, enough to do non-clone dualhead mode).
Comment 2 Matej Cepl 2008-12-17 18:38:00 EST

*** This bug has been marked as a duplicate of bug 476657 ***
Comment 3 Roland McGrath 2008-12-18 01:57:37 EST
This was wrongly marked as a duplicate.  Bug 476657 reports utterly different issues.
Comment 4 Jérôme Glisse 2009-10-14 07:28:24 EDT
Does it works with Fedora 12 ? We had several issue with colortable in the past, i think we fixed all of them, so it should works now.
Comment 5 Roland McGrath 2009-10-15 20:20:10 EDT
With today's rawhide, the installer can't figure out nfs installs apparently, so I haven't managed a test.  But, the first installer screen (prompt for installation method et al before anaconda) comes up on the second head instead of the first, and the screen background is green.  So that's probably not a good sign.
Comment 6 Bug Zapper 2009-11-18 05:29:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Andy Green 2009-12-02 16:35:06 EST
This problem also occurs for me on an Acer Aspire 8935g laptop with HDMI second head, on F12.

However I can nail down when it went wrong quite well.

Kernel 2.6.31.5-96.fc12.x86_64 works OK with the second head, the colours are fine.  However kernel 2.6.31.5-127.fc12.x86_64, the next one I updated to, has the problem as do all subsequent rawhide and F12 kernel(s).

The colours are broken in an unusual way.  Areas that are black show as light green.  It's as if black is offset to green somehow.
Comment 8 Bug Zapper 2009-12-18 02:19:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Andy Green 2009-12-18 03:12:05 EST
Uh... this does happen to me with fc12 kernels as described above...

Note You need to log in before you can comment on or make changes to this bug.